import React from "react";

interface TodoProps {
    id: number;
    text: string;
    completed: boolean;
    onToggle: (id: number) => void;
    onDelete: (id: number) => void;
}

const Todo = ( { id, text, completed, onToggle, onDelete }: TodoProps) => {
    const handleToggle = () => {
        onToggle(id);
    };

    const handleDelete = () => {
        onDelete(id);
    };

    return (
        <li>
            <input type="checkbox" checked={completed} onChange={handleToggle} />
            <span style={{ textDecoration: completed ? "line-through" : "none"}}>
                {text}
            </span>
            <button onClick={handleDelete}>Delete</button>
        </li>
    );
};

export default Todo;
